Package twisted :: Package lore :: Module texi :: Class TexiSpitter

[show private | hide private]
[frames | no frames]

## Class TexiSpitter

    BaseLatexSpitter --+
                       |
                      TexiSpitter

Method Summary
| `__init__(self, writer, currDir, filename)` (inherited from `BaseLatexSpitter`)
| `visitNode(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_a(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_a_href(self, node)`
| `visitNode_a_listing(self, node)`
| `visitNode_a_name(self, node)`
| `visitNode_code(self, node)`
| `visitNode_div(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_h1(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_h2(self, node)`
| `visitNode_h3(self, node)`
| `visitNode_h4(self, node)`
| `visitNode_pre(self, node)`
| `visitNode_span(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_style(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_title(self, node)`
| `visitNodeDefault(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNodeHeader(self, node)`
| `writeNodeData(self, node)`

Class Variable Summary
`int` | `baseLevel`
`string` | `end_dd`
`string` | `end_div_note`
`string` | `end_dl`
`string` | `end_dt`
`string` | `end_em`
`string` | `end_li`
`string` | `end_ol`
`string` | `end_q`
`string` | `end_span_footnote`
`string` | `end_strong`
`string` | `end_th`
`string` | `end_ul`
`string` | `start_div_note`
`string` | `start_dl`
`string` | `start_dt`
`string` | `start_em`
`string` | `start_li`
`string` | `start_ol`
`string` | `start_p`
`string` | `start_q`
`string` | `start_span_footnote`
`string` | `start_strong`
`string` | `start_th`
`string` | `start_ul`

Class Variable Details

### baseLevel

  Type:
    `int`
  Value:

        1

### end_dd

  Type:
    `string`
  Value:

        '''
        '''

### end_div_note

  Type:
    `string`
  Value:

        '''@end quotation
        '''

### end_dl

  Type:
    `string`
  Value:

        '''@end itemize
        '''

### end_dt

  Type:
    `string`
  Value:

        ': '

### end_em

  Type:
    `string`
  Value:

        '}'

### end_li

  Type:
    `string`
  Value:

        '''
        '''

### end_ol

  Type:
    `string`
  Value:

        '''@end enumerate
        '''

### end_q

  Type:
    `string`
  Value:

        "''"

### end_span_footnote

  Type:
    `string`
  Value:

        '}'

### end_strong

  Type:
    `string`
  Value:

        '}'

### end_th

  Type:
    `string`
  Value:

        '}'

### end_ul

  Type:
    `string`
  Value:

        '''@end itemize
        '''

### start_div_note

  Type:
    `string`
  Value:

        '''@quotation
        @strong{Note:}'''

### start_dl

  Type:
    `string`
  Value:

        '''@itemize
        '''

### start_dt

  Type:
    `string`
  Value:

        '''@item
        '''

### start_em

  Type:
    `string`
  Value:

        '@emph{'

### start_li

  Type:
    `string`
  Value:

        '''@item
        '''

### start_ol

  Type:
    `string`
  Value:

        '''@enumerate
        '''

### start_p

  Type:
    `string`
  Value:

        '''

        '''

### start_q

  Type:
    `string`
  Value:

        '``'

### start_span_footnote

  Type:
    `string`
  Value:

        '@footnote{'

### start_strong

  Type:
    `string`
  Value:

        '@emph{'

### start_th

  Type:
    `string`
  Value:

        '@strong{'

### start_ul

  Type:
    `string`
  Value:

        '''@itemize
        '''

Generated by Epydoc 1.1 on Sat Feb 15 21:17:53 2003 | http://epydoc.sf.net